int rgb[3];  // rood groen blauw waarden verpakt in een array
// show colour laat een kleur zien volgens het HSI kleuren schema
// een getal tussen 0 en 360 word omgezet naar de juiste kleur
// vervolgens worden de LED's aangestuurd
//

void showColour (int colour){
  hsi2rgb(colour, 1, 1, rgb);  // hulp functie om een getal (hue) om te zetten naar een rgb waarde
  analogWrite(ledRedPin, rgb[0]); 
  analogWrite(ledGreenPin, rgb[1]); 
  analogWrite(ledBluePin, rgb[2]);
}
void hsi2rgb(float H, float S, float I, int* rgb) {
  int r, g, b;
  H = fmod(H, 360); // cycle H around to 0-360 degrees
  H = 3.14159*H / (float)180; // Convert to radians.
  S = S>0 ? (S<1 ? S : 1) :
  0; // clamp S and I to interval [0,1]
  I = I>0 ? (I<1 ? I : 1) :
  0;

  // Math! Thanks in part to Kyle Miller.
  if (H < 2.09439) {
    r = 255 * I / 3 * (1 + S*cos(H) / cos(1.047196667 - H));
    g = 255 * I / 3 * (1 + S*(1 - cos(H) / cos(1.047196667 - H)));
    b = 255 * I / 3 * (1 - S);
  }
  else if (H < 4.188787) {
    H = H - 2.09439;
    g = 255 * I / 3 * (1 + S*cos(H) / cos(1.047196667 - H));
    b = 255 * I / 3 * (1 + S*(1 - cos(H) / cos(1.047196667 - H)));
    r = 255 * I / 3 * (1 - S);
  }
  else {
    H = H - 4.188787;
    b = 255 * I / 3 * (1 + S*cos(H) / cos(1.047196667 - H));
    r = 255 * I / 3 * (1 + S*(1 - cos(H) / cos(1.047196667 - H)));
    g = 255 * I / 3 * (1 - S);
  }
  rgb[0] = r;
  rgb[1] = g;
  rgb[2] = b;
}

